<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Atividade 03 - Blog Fix</title>
</head>
<body>

    <header>
        <h1>De Aprendiz a Profissional: Como se Tornar Desenvolvedor Web</h1>
        
        <p>De acordo com a Secretaria de Estatísticas Trabalhistas dos EUA, a projeção é de que a quantidade de vagas de trabalho para desenvolvedores web vai crescer 8% até 2029 — 4% a mais do que o crescimento médio de outras profissões. Se você tem interesse em trabalhar como desenvolvedor web (ou desenvolvedora web), agora é o melhor momento para dar uma chance a essa carreira.</p>

        <p>Este artigo vai mostrar como se tornar um desenvolvedor web. Você vai aprender sobre o que esse trabalho tem a oferecer, quais são as habilidades necessárias e quais são as suas vantagens. Também vamos responder perguntas frequentes e oferecer todas as informações relevantes para você decidir se quer seguir esse caminho.</p>
        <hr>
    </header>

    <main>


        <section>
            </section>

        <section id="conteudo">
            <h2>Conteúdo</h2>
            <ul>
                <li><a href="#tutorial-video">Tutorial em Vídeo</a></li>
                <li><a href="#oque-faz">O Que Faz um Desenvolvedor Web?</a></li>
                <li><a href="#beneficios">Benefícios de ser Desenvolvedor Web</a></li>
                <li><a href="#passos">Quais são os Passos para se Tornar um Desenvolvedor Web?</a></li>
              
            </ul>
        </section>

        <section id="tutorial-video">
            <h2>Tutorial em Vídeo</h2>
            <iframe width="560" height="315" src="https://www.youtube.com/embed/d0kGdp40K2w?si=P_aal0WtZtDsblsl" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

            <a href="#conteudo">Início</a>
        </section>

        <section id="oque-faz">
            <h2>O Que Faz um Desenvolvedor Web?</h2>
            
            <p>Um desenvolvedor web cria sites usando diversas linguagens de programação. As suas responsabilidades incluem projetar os layouts desses sites e desenvolver funcionalidades para atender às necessidades dos usuários.</p>

            <p>Às vezes, quando o projeto está finalizado, um desenvolvedor web pode tomar a responsabilidade de manter o desempenho do site, executar atualizações e verificar problemas técnicos.</p>

            <p>Como o desenvolvimento web cobre uma ampla gama de áreas, a indústria o divide em três especialidades:</p>

            <ul>
                <li>
                    <p><strong>Desenvolvedor web front-end</strong> – responsável pelo design do site, a funcionalidade e outros elementos do lado do cliente. O objetivo de um desenvolvedor front-end é fazer com que o site seja visualmente atraente e adequadamente interativo.</p>
                </li>
                <li>
                    <p>
                        <strong>Desenvolvedor web back-end </strong> – toma conta da infraestrutura do site e de elementos do lado do servidor. Um desenvolvedor back-end garante que um site tem o desempenho ideal e a funcionalidade de back-end necessária.
                    </p>
                </li>
                <li>
                    <p><strong>Desenvolvedor web full-stack</strong>  – cobre as habilidades de front-end e de back-end, assim como tem o domínio de múltiplas linguagens de programação. Um desenvolvedor full-stack também deve entender lógica de negócios, de hospedagem e ambientes de rede, assim como de experiência de usuário.</p>
                </li>
            </ul>
            <a href="#conteudo">Início</a>
        </section>

        <section id="beneficios">
        
            <h2>Benefícios de ser Desenvolvedor Web</h2>

            <p>Como qualquer outra ocupação, ser um desenvolvedor web tem as suas vantagens. Se você tem alguma insegurança de que se tornar desenvolvedor web é a escolha certa, dê uma olhada nesses benefícios:</p>

            <ul>
                <li>
                    Ótimo salário. O salário médio de um desenvolvedor no Brasil é de R$ 58.318 por ano, com um ganho de R$ 20 por hora. Quanto mais habilidades e experiência você tiver, maior é esse valor.
                </li>
                <li>
                    Muitas oportunidades de emprego. Com a crescente necessidade por informações digitalizadas, as pessoas agora consideram um site algo essencial, especialmente para uma empresa. Isso leva a uma maior demanda por desenvolvedores.
                </li>

                <li>
                    Ambiente de trabalho flexível. Conforme mais e mais empresas fazem a transição para trabalho home office, este emprego lhe dá a oportunidade de trabalhar de modo remoto e decidir as suas horas de trabalho. Tudo que você precisa é de um laptop e uma boa conexão de Internet.
                </li>
                <li>
                    Melhoria pessoal contínua. Trabalhar numa das indústrias que mais cresce permite que você aprenda novas informações de modo contínuo, seja mais criativo e melhore suas habilidades de solução de problemas. Essa ética de trabalho beneficia tanto a sua carreira como a sua vida pessoal.
                </li>
                <li>
                    Diversas opções de trabalhos freelancer. Vários marketplaces de trabalhos, como o Upwork e o Freelancer, oferecem ofertas de projetos autônomos para desenvolvedores. Além de ganhar um dinheiro extra, ser um desenvolvedor web deixa você ganhar experiência com muito mais agilidade.
                </li>
            </ul>
            <a href="#conteudo">Início</a>
        </section>

        <section id="passos">
            
            <h2>Quais são os Passos para se Tornar um Desenvolvedor Web?</h2>

            <p>Tenha em mente que não existe um caminho fixo para se tornar um desenvolvedor web profissional. Abaixo você verá passos em geral que podem guiá-lo na direção certa.</p>

            <ol>
                <li>
                    <h3>Pesquise sobre a Carreira de Desenvolvedor Web</h3>
                    <p>Antes de cementar sua carreira neste campo, tenha certeza de que é isso que você realmente quer. Como em qualquer outra opção de carreira, trabalhar com algo que você é apaixonado vai melhorar suas chances de sucesso e a qualidade do seu trabalho.</p>
                    <p>Aqui estão algumas dicas para ajudar a decidir se a carreira de desenvolvedor web é a certa para você:</p>

                    <ul>
                        <li>
                            <strong>Considere a sua paixão.</strong> O desenvolvimento back-end frequentemente envolve pensamento crítico e fora da caixa. Em constraste, o desenvolvimento front-end é mais adequado para as pessoas interessadas em design gráfico e em comportamento humano. Pense em qual opção se encaixa melhor com você.
                        </li>
                        <li>
                            <strong>Fale com um especialista em aconselhamento de carreira.</strong> Consultar um profissional pode ajudar você a organizar um plano de carreira e identificar o que será necessário para atingir os seus objetivos. Essa pessoa também pode ajudar você a descobrir alternativas mais adequadas para as suas habilidades.
                        </li>
                        <li>
                            <strong>Converse com profissionais da indústria.</strong> Desenvolvedores experientes são as pessoas ideais para você fazer perguntas e expressar preocupações sobre escolher essa carreira. Eles podem lhe aconscelhar a evitar erros comuns que a maioria dos profissionais comete quando começa.
                        </li>

                        <li>
                            <strong>Pesquise os contras. </strong> Apesar de ter um ambiente de trabalho flexível, um desenvolvedor web tende a sofrer com cansaço visual e dores nas costas, por sentar na frente do computador por longos períodos de tempo. Se um <a href="https://www.promedmg.com.br/riscos-do-sedentarismo-quais-sao-e-como-evita-los/" target="_blank">estilo de vida sedentário</a> não é atraente, essa carreira pode não ser para você.
                        </li>

                        <li>
                            <strong>Conheça as ferramentas necessárias.</strong> Conforme a tecnologia de software e de hardware evolui de maneira contínua, você deve estar pronto para adquirir as ferramentas caras, porém necessárias. Desenvolvedores front-end, por exemplo, podem precisar de software de design gráfico, como o <a href="https://www.adobe.com/br/products/xd.html" target="_blank" rel="noopener noreferrer">Adobe XD</a> e o <a href="https://www.coreldraw.com/br/" target="_blank">CorelDRAW</a>.
                        </li>
                    </ul>


                </li>

                <li>
                    <h3>Escolha uma Especialidade no Desenvolvimento Web</h3>
                    <p>Como o desenvolvimento web tem muitos campos, aprender todos eles vai demandar muito tempo, investimento financeiro e energia. Dito isso, o próximo passo que você deve tomar é escolher uma especialidade de desenvolvimento web para perseguir.</p>
                    <p>Primeiramente, decida se você quer ser um desenvolvedor front-end ou um desenvolvedor back-end. A paixão tem um papel importante em determinar a especialização certa para você, e vale lembrar que tanto o desenvolvimento back-end quanto o front-end exigem habilidades diferentes.</p>
                    <p>Outro ponto para se considerar é o das ferramentas e linguagens de programação. Se tornar um desenvolvedor front-end exige domínio de Linguagem de Marcação de Hipertexto (HTML), Cascading Style Sheets (CSS) e JavaScript. Enquanto isso, o desenvolvimento back-end frequentemente usa linguagens de programação de servidor, como PHP, Python e Ruby.</p>
                    <p>É melhor não começar como um desenvolvedor web full-stack, já que essa carreira exige conhecimentos avançados de linguagens de programação e um entendimento de elementos tanto do front-end quanto do back-end. A maioria dos desenvolvedores web full-stack constrói seu portfólio trabalhando primeiro como back-end.</p>
                    <p>Assim que você definir a sua especialidade, pesquise as linguagens de programação mais usadas e aprenda sobre os softwares — esses dois elementos deverão ser o seu foco primário de aprendizado. Lembre-se que determinados projetos geralmente pedem por uma linguagem de programação específica.</p>
                </li>

                <li>
                    <h3>Estude</h3>

                    <p>Depois de se familiarizar com a sua especialidade escolhida, o próximo passo é mergulhar nela. Comece ao fazer cursos online e pesquisar por tutoriais para entender como funcionam as linguagens de programação escolhidas.</p>

                    <p>Se você conhece um ou dois desenvolvedores profissionais que não se importam em compartilhar projetos passados, peça para eles mostrarem como é trabalhar com isso. Não tenha medo de pedir orientações e dicas para começar o seu próprio projeto de desenvolvimento na web.</p>

                    <p>Muitas plataformas de aprendizado online — como Skillshare, BitDegree, Khan Academy e Udemy — oferecem cursos de desenvolvimento web ministrados por diversos profissionais da área.</p>

                    <p>Recomendamos começar com cursos gratuitos para fazer com que a sua jornada seja financeiramente menos arriscada, caso você mude de ideia na metade do caminho.</p>

                    <p>Alternativamente, você pode aprender desenvolvimento web de modo independente com a ajuda de tutoriais online no YouTube e fóruns de discussão com temática de programação. Por exemplo, o Stack Overflow pode ajudar você a se conectar com desenvolvedores amadores e profissionais com os mais diferentes tipos de especialização.</p>

                    <p>É bom começar a trabalhar no seu primeiro projeto durante este passo, já que isso vai lhe dar uma ideia geral do que esperar quando estiver trabalhando neste campo profissionalmente. O primeiro projeto será desafiador, mas lembre-se de que a prática leva à perfeição.</p>
                </li>
            </ol>
            <a href="#conteudo">Início</a>
        </section>

    </main>
    
</body>
</html>